defmodule Towerops.Repo.Migrations.AddDefaultAgentToOrganizations do
  use Ecto.Migration

  def change do
    alter table(:organizations) do
      add :default_agent_token_id,
          references(:agent_tokens, type: :binary_id, on_delete: :nilify_all)
    end

    create index(:organizations, [:default_agent_token_id])
  end
end
